/*
 * blancoDb
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.expander.query.field;

import blanco.ig.expander.Scope;
import blanco.ig.expander.Type;
import blanco.ig.expander.field.FieldExpander;

/**
 * QueryクラスのfResultSetフィールドです。
 * 
 * @author IGA Tosiki
 */
public class ResultSetField extends FieldExpander {
    /**
     * QueryクラスのfResultSetフィールドのコンストラクタです。
     * 
     * @author IGA Tosiki
     */
    public ResultSetField() {
        super(new Type("java.sql.ResultSet"), "fResultSet");

        getJavaDoc().addLine("このクラスが内部的に利用する結果セットオブジェクト。");
        getJavaDoc().addLine("");
        getJavaDoc().addLine(
                "このオブジェクトはデータベースステートメントオブジェクトから生成されて内部的に利用されます。<br>");
        getJavaDoc().addLine("closeメソッドの呼び出し時に、このオブジェクトのcloseを実行します。");
    }

    /**
     * ジェネレーションギャップデザインパターンが利用可能になる目的で、スコープはprotectedとします。
     */
    protected Scope getScope() {
        return Scope.PROTECTED;
    }
}
